<?php

// Path to PHP Social Stream main file
include( './social-stream/social-stream.php' );

$subtitle = 'Wall Demo - Custom filtering';
include( 'header.php' );
?>
<div class="section">
    <h2 class="sub-header">Wall Demo - Custom filtering</h2>
<?php
echo social_stream(
        array(
            'id' => '1',
            'type' => 'wall',
            'network' => array(
                'facebook' => array(
                    'facebook_id_1' => array(
                        '359816710874516',
                        '18010778998'
                    ),
                    'facebook_id_2' => array(
                        '874974472678892'
                    ),
                    'facebook_pagefeed' => 'posts'
                ),
                'twitter' => array(
                    'twitter_id_3' => array(
                        'illustration',
                        'fashion',
                        'maserati'
                    ),
                    'twitter_images' => 'small',
                    'twitter_feeds' => ''
                ),
                'instagram' => array(
                    'instagram_id_2' => array(
                        'illustration',
                        'fashion',
                        'maserati'
                    )
                )
            ),
            'theme' => 'sb-modern-light',
            'itemwidth' => 250,
            'results' => 30,
            'iframe' => 'media',
            'breakpoints' => array('4', '4', '3', '3', '2', '1', '1'),
            'filter_search' => true,
            'filters_order' => 'linkedin,facebook,twitter,instagram,google,pinterest',
            'display_ads' => true,
            'debuglog' => 1,
            'cache' => 360,
            'add_files' => true,
            'fixWidth' => 'block',
            'filtering_tabs' => array(
            	array(
            		'search_term' => 'fashion',
            		'tab_title' => 'Fashion'
            	),
            	array(
            		'search_term' => 'illustration',
            		'tab_title' => 'Illustration'
            	),
            	array(
            		'search_term' => 'maserati',
            		'tab_title' => 'Maserati'
            	)
            )
        )
    );
?>
</div>
<?php include( 'footer.php' ); ?>