<?php
include( './social-stream/social-stream.php' );

$subtitle = 'Sticky Rotating Feed Demo';
include( 'header.php' );
?>
<div class="section">
    <h2 class="sub-header">Sticky Rotating Feed Demo – Different layouts and positions</h2>
    <div class="row">
        <div class="col-md-6">
        <h4>Modern layout – Bottom right aligned</h4>
        <br />
<?php
echo social_stream(
        array(
            'id' => '1',
            'type' => 'feed',
            'network' => array(
                'facebook' => array(
                    'facebook_id_1' => array(
                        '80655071208'
                    ),
                    'facebook_pagefeed' => 'posts'
                ),
                'twitter' => array(
                    'twitter_id_1' => array(
                        'mashable'
                    ),
                    'twitter_images' => 'small',
                    'twitter_feeds' => 'retweets'
                ),
                'google' => array(
                    'google_id_1' => array(
                        '115854344437995415484'
                    )
                )
            ),
            'theme' => 'sb-modern-light',
            'label' => 'On Social Media', // Label for the block header
            'position' => 'sticky', // Important to make a floating block
            'location' => 'sb-bottom_left', // Location of the block
            'slide' => 1, // To enable slide in/out feature
            'autoclose' => 1, // To enable slide auto-close feature
            'showheader' => 1,
            'width' => 270,
            'height' => 400,
            'results' => 30,
            'cache' => 360,
            'debuglog' => 0,
            'add_files' => true
        )
    );
?>
  		</div>
        <div class="col-md-6">
        <h4>Sticky Rotating Feed Demo - Default layout – Left aligned</h4>
        <br />
<?php
echo social_stream(
        array(
            'id' => '2',
            'type' => 'feed',
            'network' => array(
                'twitter' => array(
                    'twitter_id_1' => array(
                        'mashable'
                    ),
                    'twitter_images' => 'small',
                    'twitter_feeds' => ''
                ),
                'flickr' => array(
                    'flickr_id_1' => array(
                        '46221135@N04'
                    )
                ),
                'instagram' => array(
                    'instagram_id_2' => array(
                        'tuulavintage',
                        'blondabroad'
                    )
                )
            ),
            'theme' => 'sb-default-light',
            'label' => 'On Social Media',
            'position' => 'sticky',
            'location' => 'sb-right',
            'slide' => 1,
            'autoclose' => 1, 
            'showheader' => 1,
            'width' => 270,
            'height' => 400,
            'results' => 30,
            'filters_order' => 'twitter,flickr,instagram',
            'debuglog' => 1,
            'add_files' => true
        )
    );
?>
        </div>
    </div>
</div>
<?php include( 'footer.php' ); ?>